FINDMNT(8)

BEZEICHNUNG
findmnt - Ein Dateisystem finden

ÜBERSICHT
findmnt [Optionen]

findmnt [Optionen] Gerät|Einhängepunkt

findmnt [Optionen] [--source] Gerät [--target|--mountpoint] Einhängepunkt

BESCHREIBUNG
findmnt listet alle eingehängten Dateisysteme auf oder sucht nach einem Dateisystem. Der Befehl findmnt kann in /etc/fstab, /etc/mtab oder /proc/self/mountinfo suchen. Falls kein Gerät oder Einhängepunkt angegeben wird, werden alle Dateisysteme angezeigt.

Das Gerät kann anhand des Gerätenamens, der Major:Minor-Nummern, der Dateisystembezeichnung oder -UUID oder der Partitionsbezeichnung oder -UUID angegeben werden. Beachten Sie, dass findmnt dem Verhalten von mount(8) folgt, bei dem ein Gerätename als Einhängepunkt interpretiert werden kann (und umgekehrt ein Einhängepunkt als Gerätename), wenn die Optionen --target, --mountpoint oder --source nicht angegeben sind.

Standardmäßig gibt der Befehl alle eingehängten Dateisysteme in einer Baumansicht aus.

OPTIONEN

-A, --all
    deaktiviert alle eingebauten Filter und gibt alle Dateisysteme aus.

-a, --ascii
    verwendet ASCII-Zeichen für die Formatierung der Baumansicht.

-b, --bytes
    gibt die Spalten »SIZE«, »USED« und »AVAIL« in Byte anstelle eines menschenlesbaren Formats aus.

-C, --nocanonicalize
    kanonisiert die Pfade nicht. Diese Option beeinflusst den Vergleich von Pfaden und die Auswertung von Markierungen (LABEL, UUID, usw.).

-c, --canonicalize
    kanonisiert alle ausgegebenen Pfade.

-D, --df
    imitiert die Ausgabe von df(1). Diese Option ist gleichbedeutend mit -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET, schließt aber alle Pseudo-Dateisysteme aus. Verwenden Sie --all, um alle Dateisysteme anzuzeigen.

-d, --direction Wort
    gibt die Suchrichtung an, entweder forward (vorwärts) oder backward (rückwärts).

-e, --evaluate
    wandelt alle Markierungen (LABEL, UUID, PARTUUID oder PARTLABEL) in die entsprechenden Gerätenamen um.

-F, --tab-file Pfad
    sucht in einer alternativen Datei. Wenn diese Option mit --fstab, --mtab oder --kernel verwendet wird, werden die Standardpfade außer Kraft gesetzt. Wenn dies mehrmals angegeben wird, ist die Baumansicht deaktiviert (siehe die Option --list).

-f, --first-only
    gibt nur das erste passende Dateisystem aus.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-i, --invert
    kehrt die Suchlogik um.

-J, --json
    verwendet das JSON-Ausgabeformat.

-k, --kernel
    sucht in /proc/self/mountinfo. Die Ausgabe erfolgt in einer Baumansicht. Dies ist die Vorgabe. Die Ausgabe enthält nur Einhängeoptionen, die vom Kernel verwaltet werden (siehe auch --mtab).

-l, --list
    formatiert die Ausgabe als Liste. Dieses Ausgabeformat ist automatisch aktiviert, wenn die Ausgabe durch die Optionen -t, -O, -S oder -T eingeschränkt ist und die Option --submounts nicht verwendet wird oder mehr als eine Quelldatei (mit der Option -F) angegeben wird.

-M, --mountpoint Pfad
    definiert explizit die Einhängepunkt-Datei oder das Einhängepunkt-Verzeichnis. Siehe auch --target.

-m, --mtab
    sucht in /etc/mtab. Die Ausgabe wird standardmäßig als Liste formatiert (siehe --tree). Die Ausgabe kann weitere Einhängeoptionen auf Anwendungsebene enthalten.

-N, --task Threadkennung
    verwendet anstelle des vorgegebenen /proc/self/mountinfo den alternativen Namensraum /proc/<Threadkennung>/mountinfo. Wenn diese Option mehr als einmal angegeben wird, dann wird die Baumansicht deaktiviert (siehe die Option --list). Siehe auch den Befehl unshare(1).

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-O, --options Liste
    begrenzt die Gruppe der ausgegebenen Dateisysteme. Mehrere Optionen können in einer durch Kommata getrennten Liste angegeben werden. Die Optionen -t und -O wirken kumulativ. Im Gegensatz zu -t wird jede Option für sich ausgewertet; ein vorangestelltes no wirkt sich nicht global aus. Das no kann für individuelle Listeneinträge verwendet werden; dessen Interpretation kann mit dem Präfix »+« deaktiviert werden.

-o, --output Liste
    legt die Ausgabespalten fest. In der Ausgabe von --help wird eine Liste der verfügbaren Spalten angezeigt. Die Spalte TARGET wird als Baum formatiert, falls die Optionen --list oder --raw nicht angegeben werden. Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste (z.B. findmnt -o +PROPAGATION) vorliegt.

--output-all
    gibt fast alle verfügbaren Spalten aus. Die Spalten, welche --poll erfordern, werden nicht angezeigt.

-P, --pairs
    formatiert die Ausgabe als »Schlüssel="Wert"«-Paare. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-p, --poll[=Liste]
    überwacht Änderungen in der Datei /proc/self/mountinfo. Dabei werden die Aktionen »mount«, »umount«, »remount« und »move« unterstützt. Mehrere Aktionen können in Form einer durch Kommata getrennten Liste angegeben werden. Standardmäßig werden alle Aktionen überwacht. Die mit --poll angegebene Sperrzeit kann mit den Optionen --timeout oder --first-only eingeschränkt werden. Die Standardspalten verwenden stets die neue Version der Information aus der »mountinfo«-Datei, außer die »umount«-Aktion, die auf der von findmnt(8) zwischengespeicherten Originalinformation basiert. Der Poll-Modus ermöglicht die Verwendung zusätzlicher Spalten:

    ACTION
        gibt einen der Aktionsnamen »mount«, »umount«, »move« oder »remount« an. Diese Spalte ist standardmäßig aktiviert.

    OLD-TARGET
        ist für die Aktionen »umount« und »move« verfügbar.

    OLD-OPTIONS
        ist für die Aktionen »umount« und »remount« verfügbar.

--pseudo
    gibt nur Pseudo-Dateisysteme aus.

-R, --submounts
    gibt rekursiv alle Untereinhängungen für die ausgewählten Dateisysteme aus. Die durch die Optionen -t, -O, -S, -T and --direction definierten Einschränkungen werden nicht auf die Untereinhängungen angewendet. Alle Untereinhängungen werden immer in einer Baumstruktur ausgegeben. Die Option aktiviert standardmäßig die Ausgabe in einer Baumstruktur. Diese Option ist mit --mtab oder --fstab wirkungslos.

-r, --raw
    verwendet das Rohformat für die Ausgabe. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

--real
    gibt nur reale Dateisysteme aus.

-S, --source Quelle
    definiert explizit die Quelle der Einhängung. Dabei werden die Angaben Gerät, maj:min, LABEL=Bezeichnung, UUID=UUID, PARTLABEL=Bezeichnung und PARTUUID=UUID unterstützt.

-s, --fstab
    sucht in /etc/fstab. Die Ausgabe wird als Liste formatiert (siehe --list).

-T, --target Pfad
    definiert das Ziel der Einhängung. Falls der Pfad keine Einhängepunktdatei oder -verzeichnis ist, dann wertet findmnt die Pfad-Elemente in umgekehrter Reihenfolge aus, um den Einhängepunkt zu ermitteln (diese Funktion wird nur beim Suchen in Kernel-Dateien unterstützt, nicht jedoch für --fstab). Es wird empfohlen, die Option --mountpoint zu verwenden, wenn die Pfad-Elemente nicht ausgewertet werden sollen und Pfad ein strikt angegebener Einhängepunkt ist.

-t, --types Liste
    begrenzt die Gruppe der ausgegebenen Dateisysteme. Sie können mehrere Typen in einer durch Kommata getrennten Liste angeben. Der Liste der Dateisystemtypen kann ein no vorangestellt werden, um die Dateisysteme zu bezeichnen, für die keine Aktion ausgeführt werden soll. Für weitere Details siehe mount(8).

--tree
    aktiviert die Baumansicht, falls möglich. Diese Option wird bei Tabellen stillschweigend ignoriert, in denen die Eltern-Kind-Relation fehlt (beispielsweise fstab).

-U, --uniq
    ignoriert Dateisysteme mit doppelten Einhängezielen, daher werden übereingehängte (overmounted) Einhängepunkte wirkungsvoll übergangen.

-u, --notruncate
    kürzt den Text in den Spalten nicht. Standardmäßig werden die Spalten TARGET, SOURCE, UUID, LABEL, PARTUUID und PARTLABEL nicht gekürzt. Diese Option deaktiviert die Textkürzung auch in allen anderen Spalten.

-v, --nofsroot
    gibt kein [/Verzeichnis] in der Spalte SOURCE für Bind-Einhängungen oder Btrfs-Subvolumes (dynamische Teilpartitionen) aus.

-w, --timeout Millisekunden
    legt eine obere Grenze der Zeitspanne in Millisekunden fest, für die --poll blockiert.

-x, --verify
    überprüft den Inhalt der Einhängetabelle. Standardmäßig wird die Auswertbarkeit und Verwendbarkeit der Datei /etc/fstab überprüft. Sie können diese Option auch mit --tab-file verwenden. Außerdem können Sie eine Quelle (Gerät) oder ein Ziel (Einhängepunkt) angeben, um die Einhängetabelle zu filtern. Die Option --verbose bewirkt, dass die Ausgaben von Findmnt ausführlicher werden.

--verbose
    bewirkt, dass Findmnt mehr Informationen ausgibt (derzeit nur --verify).

BEISPIELE

findmnt --fstab -t nfs
    gibt alle in /etc/fstab definierten NFS-Dateisysteme aus.

findmnt --fstab /mnt/foo
    gibt alle in der Datei /etc/fstab aufgeführten Dateisysteme aus, deren Einhängepunktverzeichnis /mnt/foo ist. Außerdem werden Bind-Einhängungen ausgegeben, deren Quelle /mnt/foo ist.

findmnt --fstab --target /mnt/foo
    gibt alle in der Datei /etc/fstab aufgeführten Dateisysteme aus, deren Einhängepunktverzeichnis /mnt/foo ist.

findmnt --fstab --evaluate
    gibt alle in der Datei /etc/fstab aufgeführten Dateisysteme aus und wandelt die Markierungen LABEL= und UUID= in die echten Gerätenamen um.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    gibt nur den Einhängepunkt aus, in dem das Dateisystem mit der Bezeichnung »/boot« eingehängt ist.

findmnt --poll --mountpoint /mnt/foo
    überwacht Einhängungen, Aushängungen, erneute Einhängungen und Verschiebungen von /mnt/foo.

findmnt --poll=umount --first-only --mountpoint /mnt/foo
    wartet auf das Aushängen von /mnt/foo.

findmnt --poll=remount -t ext3 -O ro
    überwacht erneutes Einhängen im schreibgeschützten Modus aller Ext3-Dateisysteme.

UMGEBUNGSVARIABLEN

LIBMOUNT_FSTAB=<Pfad>
    setzt den standardmäßigen Ort der Datei »fstab« außer Kraft.

LIBMOUNT_MTAB=<Pfad>
    setzt den standardmäßigen Ort der Datei »mtab« außer Kraft.

LIBMOUNT_DEBUG=all
    aktiviert die Fehlersuch-Ausgabe von Libmount.

LIBSMARTCOLS_DEBUG=all
    aktiviert die Fehlerdiagnose-Ausgabe für Libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen. Dafür muss LIBSMARTCOLS_DEBUG aktiviert sein.

AUTOREN
Karel Zak <kzak@redhat.com>

SIEHE AUCH
fstab(5), mount(8)

VERFÜGBARKEIT
Der Befehl findmnt ist Teil des Pakets util-linux, welches auf https://www.kernel.org/pub/linux/utils/util-linux/ verfügbar ist.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.